@interface MYFileQuery : NSObject {
	NSMetadataQuery* _mdq;
	NSString* filePattern;
	NSArray* results;
	NSString* spotlightQuery;
	NSArray* spotlightSearchScope;
	NSArray* excludedFiles;
	
	NSInteger maximalSize;
	BOOL includePeopleAndEvents;
	BOOL includeEmails;
	BOOL includeMetadataCache;
	BOOL liveUpdate;

	IBOutlet id delegate;
}

@property (assign) BOOL isRunning;

- (IBAction) reload:(id) sender;
- (IBAction) startSearch:(id) sender;
- (IBAction) stopSearch:(id) sender;

- (void) setDelegate:(id) del;
- (id) delegate;

- (NSArray*) results;
- (void) setResults:(NSArray*) ls;

- (void) setMaximalSize:(NSInteger) i;

- (BOOL) includeMetadataCache;
- (void) setIncludeMetadataCache:(BOOL)v;
- (BOOL) includeEmails;
- (void) setIncludeEmails:(BOOL)v;
- (BOOL) includePeopleAndEvents;
- (BOOL) liveUpdate;
- (void) setLiveUpdate:(BOOL) v;
- (void) setExludedFiles:(NSArray*) ls;
- (NSArray*) exludedFiles;
- (void) setIncludePeopleAndEvents:(BOOL)v;
- (void) setSpotlightSearchScope:(NSArray*) scope;
- (NSArray*) spotlightSearchScope;
- (void) __refreshResults:(id) ls;
- (void) addFilePaths:(NSArray*) paths;
- (void) removeFilePaths:(NSArray*) paths;
- (void) setSpotlightQuery:(NSString*) query;
- (NSString*) spotlightQuery;
- (void) setFilePattern:(NSString*) pat;
- (NSString*) filePattern;
- (void) __notifyUpdateEnd:(NSNotification *)not;
- (void) __notifyUpdate:(NSNotification *)not;
- (void) enableUpdates;
- (void) disableUpdates;
@end

